Package com.collabnet.ce.soap60.webservices.scm

# Class ScmCheckoutCommandsForReplicaBuilder

java.lang.Object
com.collabnet.ce.soap60.webservices.scm.ScmCheckoutCommandsForReplicaBuilder

public class ScmCheckoutCommandsForReplicaBuilder extends Object
Builds checkout commands for replicated repository.

Since:
  8.1

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected class`
  `ScmCheckoutCommandsForReplicaBuilder.ReplicaCheckoutData`
  Checkout data that contains also replica data.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected com.vasoftware.sf.server.services.scm.RepositoryDO`
  `repository`
  `protected com.vasoftware.sf.server.types.UserSessionKey`
  `sessionKey`
  `protected com.vasoftware.sf.server.services.user.UserDO`
  `user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScmCheckoutCommandsForReplicaBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.vasoftware.sf.server.services.scm.CheckoutCommand.CheckoutCommandSpecification`
  `build()`
  Builds repository checkout commands out of provided parameters.
  `protected ScmCheckoutCommandsForReplicaBuilder.ReplicaCheckoutData`
  `getCheckoutData()`
  Gets `AbstractScmCommandsCheckoutBuilder.BasicCheckoutData`
  `ScmCheckoutCommandsForReplicaBuilder`
  `withReplica(String inputReplicaId)`
  `ScmCheckoutCommandsForReplicaBuilder`
  `withRepository(com.vasoftware.sf.server.services.scm.RepositoryDO repositoryData)`
  `ScmCheckoutCommandsForReplicaBuilder`
  `withSession(com.vasoftware.sf.server.types.UserSessionKey inputSessionKey)`
  `ScmCheckoutCommandsForReplicaBuilder`
  `withUser(com.vasoftware.sf.server.services.user.UserDO inputUser)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### sessionKey

    protected com.vasoftware.sf.server.types.UserSessionKey sessionKey

  - ### user

    protected com.vasoftware.sf.server.services.user.UserDO user

  - ### repository

    protected com.vasoftware.sf.server.services.scm.RepositoryDO repository

- ## Constructor Details

  - ### ScmCheckoutCommandsForReplicaBuilder

    public ScmCheckoutCommandsForReplicaBuilder()

- ## Method Details

  - ### build

    public com.vasoftware.sf.server.services.scm.CheckoutCommand.CheckoutCommandSpecification build() throws NoSuchObjectFault, SystemFault
    Builds repository checkout commands out of provided parameters.
    Returns:
      never `null`
    Throws:
      `NoSuchObjectFault` - see `getCheckoutData()` for details
      `SystemFault` - see `getCheckoutData()` for details

  - ### withReplica

    public ScmCheckoutCommandsForReplicaBuilder withReplica(String inputReplicaId)
    Parameters:
      `inputReplicaId` - is added to available parameters
    Returns:
      `this` instance

  - ### getCheckoutData

    protected ScmCheckoutCommandsForReplicaBuilder.ReplicaCheckoutData getCheckoutData() throws NoSuchObjectFault, SystemFault
    Gets `AbstractScmCommandsCheckoutBuilder.BasicCheckoutData`
    Returns:
      never `null`
    Throws:
      `NoSuchObjectFault` - when neither system nor strategy couldn't have been obtained
      `SystemFault` - when non-SCM system id was provided

  - ### withSession

    public ScmCheckoutCommandsForReplicaBuilder withSession(com.vasoftware.sf.server.types.UserSessionKey inputSessionKey)
    Parameters:
      `inputSessionKey` - is added to available parameters
    Returns:
      `this` instance

  - ### withUser

    public ScmCheckoutCommandsForReplicaBuilder withUser(com.vasoftware.sf.server.services.user.UserDO inputUser)
    Parameters:
      `inputUser` - is added to available parameters
    Returns:
      `this` instance

  - ### withRepository

    public ScmCheckoutCommandsForReplicaBuilder withRepository(com.vasoftware.sf.server.services.scm.RepositoryDO repositoryData)
    Parameters:
      `repositoryData` - is added to available parameters
    Returns:
      `this` instance